Subject: Re: Commit 270637abff0cdf848b910b9f96ad342e1da61c66 introduced a lot new compiler warnings

From: Gabriel C <[email-masked]>
Date: Sat, 22 Mar 2008 00:07:42 +0100

David Miller wrote:
> From: Gabriel C <[email-masked]>
> Date: Fri, 21 Mar 2008 20:11:18 +0100
> 
>> I noticed the following new compile warnings on current git head introduced by 270637abff0cdf848b910b9f96ad342e1da61c66 :
> 
> Please include [email-masked] for networking bug
> reports in the future, thank you.

I usually do that and to be honest I thought I did , damn fingers.

Really sorry.

> 
> Thanks for the report, I'll push the following fix:
> 
> commit 1233823b0847190976d69a86d7bb1287992ba2c7
> Author: David S. Miller <[email-masked]>
> Date:   Fri Mar 21 15:40:47 2008 -0700
> 
>     [SCTP]: Fix build warnings with IPV6 disabled.
>     
>     Introduced by 270637abff0cdf848b910b9f96ad342e1da61c66
>     ("[SCTP]: Fix a race between module load and protosw access")
>     
>     Reported by Gabriel C:
>     
>     In file included from net/sctp/sm_statetable.c:50:
>     include/net/sctp/sctp.h: In function 'sctp_v6_pf_init':
>     include/net/sctp/sctp.h:392: warning: 'return' with a value, in function returning void
>     In file included from net/sctp/sm_statefuns.c:62:
>     include/net/sctp/sctp.h: In function 'sctp_v6_pf_init':
>     include/net/sctp/sctp.h:392: warning: 'return' with a value, in function returning void
>      ...
>     
>     Signed-off-by: David S. Miller <[email-masked]>
> 
> diff --git a/include/net/sctp/sctp.h b/include/net/sctp/sctp.h
> index 57ed3e3..ea80673 100644
> --- a/include/net/sctp/sctp.h
> +++ b/include/net/sctp/sctp.h
> @@ -389,7 +389,7 @@ void sctp_v6_del_protocol(void);
>  
>  #else /* #ifdef defined(CONFIG_IPV6) */
>  
> -static inline void sctp_v6_pf_init(void) { return 0; }
> +static inline void sctp_v6_pf_init(void) { return; }
>  static inline void sctp_v6_pf_exit(void) { return; }
>  static inline int sctp_v6_protosw_init(void) { return 0; }
>  static inline void sctp_v6_protosw_exit(void) { return; }
> 

It fixes all warnings , thx.

Gabriel